#-------------------------------------------------
#
# Project created by QtCreator 2012-07-09T09:40:02
#
#-------------------------------------------------

macx {
	system(./getRevision-mac.sh)
        DEFINES += USE_USB
	LIBS += -L/Applications/VLC.app/Contents/MacOS/lib/ -lvlc
	INCLUDEPATH += /Applications/VLC.app/Contents/MacOS/include/
	LIBS += -L/usr/local/lib/ -lusb
	INCLUDEPATH += /usr/local/include/
}
unix:!macx {
	system(./getRevision.sh)
        DEFINES += USE_USB
}
win32 {
	system(getRevision.bat)
}
QT       += core gui network webkit

TARGET = EasyStream
TEMPLATE = app

DESTDIR = bin
OBJECTS_DIR = build
MOC_DIR = build
UI_DIR = build
TRANSLATIONS += bin/help/EasyStream.ts

SOURCES += src/main.cpp\
           src/mainwindow.cpp \
           src/aboutbox.cpp \
           src/func.cpp \
           src/network/tcp.cpp \
	   src/config/iniFile.cpp \	
	   src/config/pw.cpp \	
	   src/config/optionen.cpp \	
           src/config/functionen.cpp \
           src/player/control.cpp \
    	   src/player/player.cpp \
    src/player/qx11widget.cpp \
    src/epg.cpp \
    src/infobox.cpp \
    src/network/networkscan.cpp \
    src/network/svdrp.cpp \
    src/rec.cpp \
    src/scandir.cpp \
    src/message.cpp \
    src/dblclickbutton.cpp \
    src/recmodel.cpp \
    src/delegates.cpp \
    src/statusicon.cpp \
    src/clickwidget.cpp \
    src/whelpinfo.cpp \
    src/toppanel.cpp \
    src/clickslider.cpp \
    src/config/channelconfig.cpp \
    src/network/tcpstream.cpp \
    src/tvlogo.cpp
unix {
    SOURCES += src/picdevice.cpp
}

HEADERS  += src/mainwindow.h \
            src/aboutbox.h \
            src/func.h \
            src/network/tcp.h \
           src/config/iniFile.h \	
	   src/config/pw.h \	
	   src/config/optionen.h \	
           src/config/functionen.h \
            src/version.h \
            src/player/control.h \
	    src/player/player.h \
    src/player/qx11widget.h \
    src/epg.h \
    src/infobox.h \
    src/vdr.h \
    src/network/networkscan.h \
    src/network/svdrp.h \
    src/rec.h \
    src/scandir.h \
    src/message.h \
    src/dblclickbutton.h \
    src/recmodel.h \
    src/delegates.h \
    src/statusicon.h \
    src/clickwidget.h \
    src/whelpinfo.h \
    src/toppanel.h \
    src/clickslider.h \
    src/config/channelconfig.h \
    src/network/tcpstream.h \
    src/tvlogo.h
unix {
    SOURCES += src/picdevice.h
}

FORMS    += src/ui/mainwindow.ui \
    	    src/player/ui/control.ui \
	    src/config/ui/optionen.ui \ 
    src/epg.ui \
    src/infobox.ui \
    src/network/ui/networkscan.ui \
    src/message.ui \
    src/ui/helpinfo.ui \
    src/ui/toppanel.ui

win32 {
    # Path to your libvlc header files
    INCLUDEPATH += ../
    LIBS += -L"C:/Program Files (x86)/VideoLAN/VLC" -lvlc
    LIBS += -L"C:/Program Files/VideoLAN/VLC" -lvlc
}
unix!macx {
    LIBS     += -lvlc
    LIBS     += -lusb
}
RESOURCES += \
    src/ressourcen.qrc
OTHER_FILES += \
    libvlc.def \
    bin/help/EasyStream.html \
    bin/help/EasyStream.style \
    bin/help/EasyStream.ts \
    bin/help/EasyStream.ts

unix {
 helpfiles.path +=  /usr/share/EasyStream/
 logofiles.path += /usr/share/EasyStream/logos/
 desktop.path +=  /usr/share/applications
 icon.path +=  /usr/share/pixmaps
 target.path +=  /usr/bin/
 helpfiles.files +=  bin/help/*
 logofiles.files += bin/logos/*
 desktop.files +=  bin/EasyStream.desktop
 icon.files +=  bin/*.png
 INSTALLS +=  target  helpfiles  desktop  icon logofiles
}

